> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datafold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a running data diff

> Cancels a data diff that is currently queued or running.

This operation stops the diff execution and marks it as cancelled. If the diff has already
completed or been cancelled, this operation has no effect and returns the current status.

Use this to stop long-running diffs that are no longer needed or were started with incorrect parameters.



## OpenAPI

````yaml /openapi-public.json post /api/v1/datadiffs/{datadiff_id}/cancel
openapi: 3.1.0
info:
  contact:
    email: support@datafold.com
    name: API Support
  description: >-
    The Datafold API reference is a guide to our available endpoints and
    authentication methods.

    If you're just getting started with Datafold, we recommend first checking
    out our [documentation](https://docs.datafold.com).


    :::info
      To use the Datafold API, you should first create a Datafold API Key,
      which should be stored as a local environment variable named DATAFOLD_API_KEY.
      This can be set in your Datafold Cloud's Settings under the Account page.
    :::
  title: Datafold API
  version: latest
servers:
  - description: Default server
    url: https://app.datafold.com
security:
  - ApiKeyAuth: []
paths:
  /api/v1/datadiffs/{datadiff_id}/cancel:
    post:
      tags:
        - Data diffs
      summary: Cancel a running data diff
      description: >-
        Cancels a data diff that is currently queued or running.


        This operation stops the diff execution and marks it as cancelled. If
        the diff has already

        completed or been cancelled, this operation has no effect and returns
        the current status.


        Use this to stop long-running diffs that are no longer needed or were
        started with incorrect parameters.
      operationId: cancel_diff_api_v1_datadiffs__datadiff_id__cancel_post
      parameters:
        - in: path
          name: datadiff_id
          required: true
          schema:
            title: Data diff id
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDataDiffCancelled'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ApiDataDiffCancelled:
      properties:
        id:
          title: Id
          type: integer
        status:
          $ref: '#/components/schemas/JobStatus'
      required:
        - id
        - status
      title: ApiDataDiffCancelled
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    JobStatus:
      enum:
        - needs_confirmation
        - needs_authentication
        - waiting
        - processing
        - done
        - failed
        - cancelled
      title: JobStatus
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: Use the 'Authorization' header with the format 'Key <api-key>'
      in: header
      name: Authorization
      type: apiKey

````